View Issue Details

IDProjectCategoryView StatusLast Update
0003490SymmetricDS ProImprovementpublic2022-08-01 15:41
Reporterjosh-a-hicks Assigned Toemiller  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.7.0 
Target Version3.14.1Fixed in Version3.14.1 
Summary0003490: Change sym_channel.reload_flag to 0/1 when its used by sym_trigger.channel_id/reload_channel_id
DescriptionIf you have triggers defined with a given channel and then edit the channel to mark it a reload channel the edit table trigger shows blank for the channel id and the channel it is associated with no longer shows in the drop down.

Potential fix would be to add validation to the edit channel form so that there is a check when marking a channel as reload to determine if there are any tables currently using that channel for change capture.

This causes some confusion in UI but not sure if it has a bigger affect when changes are actually captured and synced on a reload channel.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-03-15 11:33 josh-a-hicks New Issue
2019-05-09 17:44 elong Summary Changing a change capture channel to reload when tables are currently associated with it. => Change sym_channel.reload_flag to 0/1 when its used by sym_trigger.channel_id/reload_channel_id
2022-08-01 14:11 emiller Assigned To => emiller
2022-08-01 14:11 emiller Status new => assigned
2022-08-01 15:41 emiller Status assigned => resolved
2022-08-01 15:41 emiller Resolution open => fixed
2022-08-01 15:41 emiller Fixed in Version => 3.14.1